# OpenAPI definition

## PUT /activate/{token}

> Activate a user

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}},"Profile":{"additionalProperties":false,"required":["id","invitation","content","readers","writers","signatures"],"properties":{"id":{"type":"string"},"active":{"type":"boolean"},"password":{"type":"boolean"},"invitation":{"type":"string"},"email":{"type":"string"},"confirmedEmails":{"type":"array","items":{"type":"string"}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object"},"ddate":{"type":"integer","nullable":true},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string"}},"nonreaders":{"type":"array","items":{"type":"string"}},"writers":{"type":"array","items":{"type":"string"}},"signatures":{"type":"array","items":{"type":"string"}},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999}}}}},"paths":{"/activate/{token}":{"put":{"tags":["Users"],"description":"Activate a user","operationId":"activate","parameters":[{"name":"token","in":"path","description":"activation token","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"content":{"$ref":"#/components/schemas/ProfileContent"}}}}}},"responses":{"200":{"description":"user token","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"token":{"type":"string"},"user":{"$ref":"#/components/schemas/Profile"}}}}}}}}}}}
```

## POST /profile/moderate

> Moderate a user Profile

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Profile":{"additionalProperties":false,"required":["id","invitation","content","readers","writers","signatures"],"properties":{"id":{"type":"string"},"active":{"type":"boolean"},"password":{"type":"boolean"},"invitation":{"type":"string"},"email":{"type":"string"},"confirmedEmails":{"type":"array","items":{"type":"string"}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object"},"ddate":{"type":"integer","nullable":true},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string"}},"nonreaders":{"type":"array","items":{"type":"string"}},"writers":{"type":"array","items":{"type":"string"}},"signatures":{"type":"array","items":{"type":"string"}},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999}}},"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}},"Error":{"additionalProperties":false,"required":["status","name","message"],"properties":{"status":{"type":"integer"},"name":{"type":"string"},"message":{"type":"string"},"details":{"type":"object"}}}}},"paths":{"/profile/moderate":{"post":{"tags":["Users"],"description":"Moderate a user Profile","operationId":"moderateProfile","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["id","decision"],"additionalProperties":false,"properties":{"id":{"type":"string"},"decision":{"type":"string","enum":["accept","reject","block","unblock","delete","restore","limit"]},"sendMail":{"type":"boolean","nullable":true},"reason":{"type":"string","nullable":true}}}}}},"responses":{"200":{"description":"user token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Profile"}}}},"400":{"description":"error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /activatelink/{token}

> Activate an email

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/activatelink/{token}":{"put":{"tags":["Users"],"description":"Activate an email","operationId":"activatelinkToken","parameters":[{"name":"token","in":"path","required":true,"description":"Token used to activate new email","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["email","token"],"properties":{"email":{"type":"string","minLength":1},"token":{"type":"string","minLength":1}}}}}},"responses":{"200":{"description":"Confirmed email","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"confirmedEmail":{"type":"string"}}}}}}}}}}}
```

## GET /activatable/{token}

> Check if a user is activatable

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Profile":{"additionalProperties":false,"required":["id","invitation","content","readers","writers","signatures"],"properties":{"id":{"type":"string"},"active":{"type":"boolean"},"password":{"type":"boolean"},"invitation":{"type":"string"},"email":{"type":"string"},"confirmedEmails":{"type":"array","items":{"type":"string"}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object"},"ddate":{"type":"integer","nullable":true},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string"}},"nonreaders":{"type":"array","items":{"type":"string"}},"writers":{"type":"array","items":{"type":"string"}},"signatures":{"type":"array","items":{"type":"string"}},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999}}},"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}}}},"paths":{"/activatable/{token}":{"get":{"tags":["Users"],"description":"Check if a user is activatable","operationId":"activatableToken","parameters":[{"name":"token","in":"path","description":"activation token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"user token","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"profile":{"$ref":"#/components/schemas/Profile"},"activatable":{"type":"object","additionalProperties":false,"properties":{"token":{"type":"string"},"numericToken":{"type":"string"},"groupId":{"type":"string"},"action":{"type":"string"},"username":{"type":"string"},"duplicateProfile":{"type":"string"}}},"prefixed_positions":{"type":"array","items":{"type":"string"}},"institutions":{"type":"array","items":{"type":"string"}}}}}}}}}}}}
```

## POST /activatable

> Check if a user is activatable

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/activatable":{"post":{"tags":["Users"],"description":"Check if a user is activatable","operationId":"activatable","requestBody":{"required":true,"content":{"application/json":{"schema":{"required":["id"],"properties":{"id":{"type":"string","minLength":1,"maxLength":254}},"additionalProperties":false}}}},"responses":{"200":{"description":"user token","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"}}}}}}}}}}}
```

## PUT /reset/{token}

> Reset a user password

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"SimplifiedProfile":{"additionalProperties":false,"properties":{"id":{"description":"OpenReview Profile id.","type":"string"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string","minLength":1},"emails":{"type":"array","items":{"type":"string"}},"preferredEmail":{"type":"string"},"usernames":{"description":"Profiles can have more than one username that have the same format as the OpenReview Profile id.","type":"array","items":{"type":"string","minLength":1}},"preferredId":{"description":"Preferred OpenReview username.","type":"string","minLength":1},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999}}}}},"paths":{"/reset/{token}":{"put":{"tags":["Users"],"description":"Reset a user password","operationId":"resetPassword","parameters":[{"name":"token","in":"path","description":"reset token","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["password"],"additionalProperties":false,"properties":{"password":{"type":"string","minLength":1}}}}}},"responses":{"200":{"description":"User is logged in after the password is reset.","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"token":{"type":"string"},"user":{"type":"object","additionalProperties":false,"properties":{"id":{"description":"Email used to log in.","type":"string"},"profile":{"$ref":"#/components/schemas/SimplifiedProfile"}}}}}}}}}}}}}
```

## POST /logout

> Logout a user

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/logout":{"post":{"tags":["Users"],"description":"Logout a user","operationId":"logout","responses":{"200":{"description":"Empty object","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## GET /resettable/{token}

> Check if a user is resettable

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Group":{"additionalProperties":false,"properties":{"id":{"type":"string","minLength":1},"instructions":{"type":"string"},"description":{"type":"string"},"invitations":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}},"parentInvitations":{"type":"string","minLength":1},"parent":{"type":"string","minLength":1,"nullable":true},"content":{"$ref":"#/components/schemas/contentSchema"},"cdate":{"type":"integer","minimum":0,"maximum":9999999999999},"mdate":{"type":"integer","minimum":0,"maximum":9999999999999},"ddate":{"type":"integer","minimum":0,"maximum":9999999999999},"tcdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tmdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string","minLength":1}},"nonreaders":{"type":"array","items":{"type":"string","minLength":1}},"writers":{"type":"array","items":{"type":"string","minLength":1}},"signatories":{"type":"array","items":{"type":"string","minLength":1}},"signatures":{"type":"array","items":{"type":"string","minLength":1}},"members":{"type":"array","items":{"type":"string","minLength":1}},"deanonymizers":{"type":"array","items":{"type":"string","minLength":1}},"impersonators":{"type":"array","items":{"type":"string","minLength":1}},"host":{"type":"string","nullable":true},"web":{"type":"string","nullable":true},"domain":{"type":"string","nullable":true},"anonids":{"type":"boolean"},"secret":{"type":"string"},"details":{"type":"object","additionalProperties":false,"properties":{"writable":{"type":"boolean"}}}}},"contentSchema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":false,"properties":{"description":{"type":"string","minLength":1},"order":{"type":"integer","minimum":1},"delete":{"type":"boolean","enum":[true]},"value":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"object"},{"type":"array"}]},"readers":{"anyOf":[{"type":"object"},{"type":"array","items":{"type":"string","minLength":1}}]}}}}}},"paths":{"/resettable/{token}":{"get":{"tags":["Users"],"description":"Check if a user is resettable","operationId":"resettableToken","parameters":[{"name":"token","in":"path","description":"reset token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"user token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}}}}}}}
```

## POST /refreshToken

> Refresh a user token

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"SimplifiedProfile":{"additionalProperties":false,"properties":{"id":{"description":"OpenReview Profile id.","type":"string"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string","minLength":1},"emails":{"type":"array","items":{"type":"string"}},"preferredEmail":{"type":"string"},"usernames":{"description":"Profiles can have more than one username that have the same format as the OpenReview Profile id.","type":"array","items":{"type":"string","minLength":1}},"preferredId":{"description":"Preferred OpenReview username.","type":"string","minLength":1},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999}}}}},"paths":{"/refreshToken":{"post":{"tags":["Users"],"description":"Refresh a user token","operationId":"refreshToken","responses":{"200":{"description":"user token","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"token":{"type":"string"},"user":{"type":"object","additionalProperties":false,"properties":{"id":{"description":"Email used to log in.","type":"string"},"profile":{"$ref":"#/components/schemas/SimplifiedProfile"}}}}}}}}}}}}}
```

## POST /resettable

> Check if a user is resettable

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/resettable":{"post":{"tags":["Users"],"description":"Check if a user is resettable","operationId":"resettable","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["id"],"properties":{"id":{"type":"string","minLength":1,"maxLength":254},"token":{"description":"Token from Turnstile that proves that the user is human. This is required for resetting the password.","type":"string","nullable":true}},"additionalProperties":false}}}},"responses":{"200":{"description":"Group","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["id"],"properties":{"id":{"type":"string"}}}}}}}}}}}
```

## POST /impersonate

> Impersonate a user

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"SimplifiedProfile":{"additionalProperties":false,"properties":{"id":{"description":"OpenReview Profile id.","type":"string"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string","minLength":1},"emails":{"type":"array","items":{"type":"string"}},"preferredEmail":{"type":"string"},"usernames":{"description":"Profiles can have more than one username that have the same format as the OpenReview Profile id.","type":"array","items":{"type":"string","minLength":1}},"preferredId":{"description":"Preferred OpenReview username.","type":"string","minLength":1},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999}}}}},"paths":{"/impersonate":{"post":{"tags":["Users"],"description":"Impersonate a user","operationId":"impersonate","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["groupId"],"properties":{"groupId":{"type":"string","minLength":1}},"additionalProperties":false}}}},"responses":{"200":{"description":"User token of the impersonated user and details of the impersonation.","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"token":{"type":"string"},"user":{"type":"object","additionalProperties":false,"properties":{"id":{"description":"Email used to log in.","type":"string"},"profile":{"$ref":"#/components/schemas/SimplifiedProfile"},"disallowDataModification":{"type":"boolean"},"impersonatables":{"type":"array","items":{"type":"string","minLength":1}},"impersonator":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"isSuperUser":{"type":"boolean"},"isVenueid":{"type":"boolean"},"isActiveVenueid":{"type":"boolean"},"profile":{"$ref":"#/components/schemas/SimplifiedProfile"},"impersonator":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"isSuperUser":{"type":"boolean"},"isVenueid":{"type":"boolean"},"isActiveVenueid":{"type":"boolean"},"profile":{"$ref":"#/components/schemas/SimplifiedProfile"}}}}}}}}}}}}}}}}}
```

## GET /tildeusername

> Gets the next available OpenReview username for the passed names.

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/tildeusername":{"get":{"tags":["Users"],"description":"Gets the next available OpenReview username for the passed names.","operationId":"tildeUsername","parameters":[{"name":"first","in":"query","description":"first name","schema":{"type":"string"}},{"name":"middle","in":"query","description":"middle name","schema":{"type":"string"}},{"name":"last","in":"query","description":"last name","schema":{"type":"string"}},{"name":"fullname","in":"query","description":"full name","schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"Next available tilde username","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"username":{"type":"string"}}}}}}}}}}}
```

## POST /user/confirm

> Confirm a new email

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/user/confirm":{"post":{"tags":["Users"],"description":"Confirm a new email","operationId":"confirm","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["alternate"],"properties":{"username":{"type":"string","minLength":1},"alternate":{"type":"string","minLength":1,"maxLength":254}},"additionalProperties":false}}}},"responses":{"200":{"description":"user email","content":{"application/json":{"schema":{"type":"object","required":["alternate"],"additionalProperties":false,"properties":{"alternate":{"type":"string"}}}}}}}}}}}
```

## GET /attachment

> Download an attachment

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/attachment":{"get":{"tags":["Attachments"],"description":"Download an attachment","operationId":"getAttachment","parameters":[{"name":"id","in":"query","description":"Note id that contains the attachment.","schema":{"type":"string","minLength":1}},{"name":"ids","in":"query","description":"Note ids that contain the attachments.","schema":{"anyOf":[{"type":"string","minLength":1},{"type":"array","items":{"type":"string","minLength":1}}]}},{"name":"name","in":"query","description":"Attachment field name inside the content of the Note. This is usually pdf or supplementary_material.","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"Attachment"}}}}}}
```

## PUT /attachment

> Upload an attachment

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/attachment":{"put":{"tags":["Attachments"],"description":"Upload an attachment","operationId":"uploadAttachment","requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","required":["file","name","invitationId"],"additionalProperties":false,"properties":{"file":{"type":"string","format":"binary"},"name":{"description":"Attachment field name. This is usually pdf or supplementary_material.","type":"string","minLength":1},"invitationId":{"description":"The id of the Invitation that allows to upload the attachment.","type":"string","minLength":1}}}}}},"responses":{"200":{"description":"Path to the attachment.","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"url":{"type":"string"}}}}}}}}}}}
```

## PUT /attachment/chunk

> Upload an attachment chunk

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/attachment/chunk":{"put":{"tags":["Attachments"],"description":"Upload an attachment chunk","operationId":"uploadAttachmentChunk","requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","required":["file","name","invitationId","clientUploadId","chunkIndex","totalChunks"],"additionalProperties":false,"properties":{"file":{"type":"string","format":"binary"},"name":{"description":"Attachment field name. This is usually pdf or supplementary_material.","type":"string","minLength":1},"invitationId":{"description":"The id of the Invitation that allows to upload the attachment.","type":"string","minLength":1},"clientUploadId":{"description":"Unique id that identifies all the chunks to the same file.","type":"string","minLength":1,"maxLength":25},"chunkIndex":{"description":"The index of the chunk.","type":"integer","minimum":0},"totalChunks":{"description":"The total number of chunks.","type":"integer","minimum":1}}}}}},"responses":{"200":{"description":"Path to the attachment.","content":{"application/json":{"schema":{"anyOf":[{"type":"object","additionalProperties":false,"properties":{"url":{"type":"string"}}},{"type":"object","additionalProperties":{"type":"string","enum":["missing","completed"]}}]}}}}}}}}}
```

## GET /pdf

> Download a PDF

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/pdf":{"get":{"tags":["Attachments"],"description":"Download a PDF","operationId":"getPdf","parameters":[{"name":"id","in":"query","description":"Note id that contains the PDF.","schema":{"type":"string","minLength":1}},{"name":"ids","in":"query","description":"Note ids that contain the attachments.","schema":{"anyOf":[{"type":"string","minLength":1},{"type":"array","items":{"type":"string","minLength":1}}]}}],"responses":{"200":{"description":"PDF"}}}}}}
```

## GET /pdf/{id}

> Get a PDF

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/pdf/{id}":{"get":{"tags":["Attachments"],"description":"Get a PDF","operationId":"getPdfHash","parameters":[{"name":"id","in":"path","description":"PDF id. This is the value saved in the pdf field of the Note.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"pdf"}}}}}}
```

## GET /pdf/compare

> Compare PDFs

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/pdf/compare":{"get":{"tags":["Attachments"],"description":"Compare PDFs","operationId":"comparePdfs","parameters":[{"name":"noteId","in":"query","description":"Note id","required":true,"schema":{"type":"string"}},{"name":"leftId","in":"query","description":"Edit id","required":true,"schema":{"type":"string"}},{"name":"rightId","in":"query","description":"Edit id","required":true,"schema":{"type":"string"}},{"name":"field","in":"query","description":"field to compare","required":false,"schema":{"type":"string","default":"pdf"}}],"responses":{"200":{"description":"pdf comparison"}}}}}}
```

## GET /edges

> Get edges

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Edge":{"additionalProperties":false,"required":["head","tail"],"properties":{"id":{"type":"string","minLength":1},"invitation":{"type":"string","minLength":1},"head":{"type":"string","minLength":1},"tail":{"type":"string","minLength":1},"label":{"type":"string"},"weight":{"type":"number"},"ddate":{"anyOf":[{"type":"integer","minimum":0,"maximum":9999999999999},{"type":"object","additionalProperties":false,"required":["delete"],"properties":{"delete":{"type":"boolean","enum":[true]}}}]},"cdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tcdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tmdate":{"type":"integer","minimum":0,"maximum":9999999999999},"readers":{"type":"array","items":{"type":"string","minLength":1}},"nonreaders":{"type":"array","items":{"type":"string","minLength":1}},"writers":{"type":"array","items":{"type":"string","minLength":1}},"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}},"tauthor":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1}}}}},"paths":{"/edges":{"get":{"tags":["Edges"],"description":"Get edges","operationId":"getEdges","parameters":[{"name":"id","in":"query","description":"Edge id","schema":{"type":"string","minLength":1}},{"name":"limit","in":"query","description":"Maximum number of results to return.","schema":{"type":"integer","minimum":1}},{"name":"offset","in":"query","description":"Offset of the result shown.","schema":{"type":"integer","minimum":0}},{"name":"count","in":"query","description":"Whether to return the count of the edges.","schema":{"type":"boolean"}},{"name":"after","in":"query","description":"Return documents that come after the after parameter. After should be an id.","schema":{"type":"string","minLength":1}},{"name":"sort","in":"query","description":"Sort returned Edges by field.","schema":{"type":"string","minLength":1}},{"name":"stream","in":"query","description":"Whether to use a stream to process results or not.","schema":{"type":"boolean"}},{"name":"invitation","in":"query","description":"Invitation id used to create the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"head","in":"query","description":"head value of the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"tail","in":"query","description":"tail value of the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"label","in":"query","description":"label of the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"trash","in":"query","description":"Whether to return deleted Edges as well.","schema":{"type":"boolean"}},{"name":"groupBy","in":"query","description":"Group result by different Edge fields.","schema":{"type":"string","minLength":1}},{"name":"select","in":"query","description":"Fields of the Edge to return in the result. Requires groupBy.","schema":{"anyOf":[{"type":"string","minLength":1,"pattern":"[a-zA-Z0-9_]+"},{"type":"array","items":{"type":"string","minLength":1,"pattern":"[a-zA-Z0-9_]+"}}]}},{"name":"details","in":"query","description":"Comma separated values of fields to add to details. Valid values are head, tail, writable and all.","schema":{"type":"string","minLength":1}},{"name":"cache","in":"query","description":"Get result from cache. Without the right privileges this parameter will be ignored.","schema":{"type":"boolean"}},{"name":"domain","in":"query","description":"Domain the Edges belong to to filter transitive members.","schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"edges","content":{"application/json":{"schema":{"type":"object","properties":{"edges":{"type":"array","items":{"$ref":"#/components/schemas/Edge"}},"count":{"type":"integer","minimum":0},"fromCache":{"type":"boolean"},"groupedEdges":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"object"},"count":{"type":"integer","minimum":0},"values":{"type":"array","items":{"type":"object"}}}}}},"additionalProperties":false}}}}}}}}}
```

## POST /edges

> Create an edge

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Edge":{"additionalProperties":false,"required":["head","tail"],"properties":{"id":{"type":"string","minLength":1},"invitation":{"type":"string","minLength":1},"head":{"type":"string","minLength":1},"tail":{"type":"string","minLength":1},"label":{"type":"string"},"weight":{"type":"number"},"ddate":{"anyOf":[{"type":"integer","minimum":0,"maximum":9999999999999},{"type":"object","additionalProperties":false,"required":["delete"],"properties":{"delete":{"type":"boolean","enum":[true]}}}]},"cdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tcdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tmdate":{"type":"integer","minimum":0,"maximum":9999999999999},"readers":{"type":"array","items":{"type":"string","minLength":1}},"nonreaders":{"type":"array","items":{"type":"string","minLength":1}},"writers":{"type":"array","items":{"type":"string","minLength":1}},"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}},"tauthor":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1}}}}},"paths":{"/edges":{"post":{"tags":["Edges"],"description":"Create an edge","operationId":"createEdge","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Edge"}}}},"responses":{"200":{"description":"Edge","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Edge"}}}}}}}}}
```

## POST /edges/rename

> Rename an edge

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Edge":{"additionalProperties":false,"required":["head","tail"],"properties":{"id":{"type":"string","minLength":1},"invitation":{"type":"string","minLength":1},"head":{"type":"string","minLength":1},"tail":{"type":"string","minLength":1},"label":{"type":"string"},"weight":{"type":"number"},"ddate":{"anyOf":[{"type":"integer","minimum":0,"maximum":9999999999999},{"type":"object","additionalProperties":false,"required":["delete"],"properties":{"delete":{"type":"boolean","enum":[true]}}}]},"cdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tcdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tmdate":{"type":"integer","minimum":0,"maximum":9999999999999},"readers":{"type":"array","items":{"type":"string","minLength":1}},"nonreaders":{"type":"array","items":{"type":"string","minLength":1}},"writers":{"type":"array","items":{"type":"string","minLength":1}},"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}},"tauthor":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1}}}}},"paths":{"/edges/rename":{"post":{"tags":["Edges"],"description":"Rename an edge","operationId":"renameEdge","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["currentId","newId"],"properties":{"currentId":{"type":"string","minLength":1},"newId":{"type":"string","minLength":1}},"additionalProperties":false}}}},"responses":{"200":{"description":"edge","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Edge"}}}}}}}}}}
```

## GET /edges/count

> Get edges count

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/edges/count":{"get":{"tags":["Edges"],"description":"Get edges count","operationId":"getEdgesCount","parameters":[{"name":"id","in":"query","description":"Edge id","schema":{"type":"string","minLength":1}},{"name":"invitation","in":"query","description":"Invitation id used to create the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"head","in":"query","description":"head value of the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"tail","in":"query","description":"tail value of the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"label","in":"query","description":"label of the Edge(s).","schema":{"type":"string","minLength":1}},{"name":"trash","in":"query","description":"Whether to return deleted Edges as well.","schema":{"type":"boolean"}},{"name":"domain","in":"query","description":"Domain the Edges belong to to filter transitive members.","schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"edges","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"count":{"type":"integer","minimum":0}}}}}}}}}}}
```

## PUT /feedback

> Send feedback to the OpenReview team

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}}},"paths":{"/feedback":{"put":{"tags":["Feedback"],"description":"Send feedback to the OpenReview team","operationId":"sendFeedback","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["message","from","token"],"properties":{"from":{"description":"Email address of the user sending the feedback.","type":"string","minLength":1},"subject":{"description":"Subject of the feedback.","type":"string"},"message":{"description":"The feedback.","type":"string","minLength":1},"token":{"description":"Turnstile token.","type":"string"}},"additionalProperties":false}}}},"responses":{"200":{"description":"feedback","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"status":{"type":"string"}}}}}}}}}}}
```

## GET /profiles

> Get user profiles

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Profile":{"additionalProperties":false,"required":["id","invitation","content","readers","writers","signatures"],"properties":{"id":{"type":"string"},"active":{"type":"boolean"},"password":{"type":"boolean"},"invitation":{"type":"string"},"email":{"type":"string"},"confirmedEmails":{"type":"array","items":{"type":"string"}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object"},"ddate":{"type":"integer","nullable":true},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string"}},"nonreaders":{"type":"array","items":{"type":"string"}},"writers":{"type":"array","items":{"type":"string"}},"signatures":{"type":"array","items":{"type":"string"}},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999}}},"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}}}},"paths":{"/profiles":{"get":{"tags":["Profiles"],"description":"Get user profiles","operationId":"getProfiles","parameters":[{"name":"id","in":"query","description":"Profile id","schema":{"type":"string","minLength":1,"pattern":"^~.*\\d+$"}},{"name":"ids","in":"query","description":"Profile ids","schema":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string","minLength":1,"pattern":"^~.*\\d+$"}}]}},{"name":"first","in":"query","description":"First name associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"middle","in":"query","description":"Middle name associated with the Profile.","schema":{"type":"string","nullable":true}},{"name":"last","in":"query","description":"Last name associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"term","in":"query","description":"Email, Fullname or part of the fullname associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"relation","in":"query","description":"Relation associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"dblp","in":"query","description":"dblp link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"homepage","in":"query","description":"Homepage link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"gscholar","in":"query","description":"Google Scholar link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"semanticScholar","in":"query","description":"Semantic Scholar link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"orcid","in":"query","description":"ORCID link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"linkedin","in":"query","description":"LinkedIn link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"wikipedia","in":"query","description":"Wikipedia link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"aclanthology","in":"query","description":"ACL Anthology link associated to the Profile.","schema":{"type":"string","minLength":1}},{"name":"group","in":"query","description":"Group id where to get all the member profiles.","schema":{"type":"string","minLength":1}},{"name":"select","in":"query","description":"Comma separated string with specific fields of the Profile object to return.","schema":{"type":"string","minLength":1}},{"name":"sort","in":"query","description":"Sort returned Profiles by field.","schema":{"type":"string","minLength":1}},{"name":"limit","in":"query","description":"Maximum number of results to return.","schema":{"type":"integer","minimum":1}}],"responses":{"200":{"description":"Profile response","content":{"application/json":{"schema":{"type":"object","properties":{"profiles":{"type":"array","items":{"$ref":"#/components/schemas/Profile"}},"count":{"type":"integer","minimum":0},"fromCache":{"type":"boolean"}},"additionalProperties":false}}}}}}}}}
```

## POST /profiles

> Save user Profile

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"ProfileReference":{"required":["signatures"],"additionalProperties":false,"properties":{"id":{"type":"string","minLength":1},"invitation":{"type":"string","minLength":1},"referent":{"type":"string","minLength":1},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"ddate":{"type":"integer","nullable":true},"packaging":{"type":"object"},"active":{"type":"boolean"},"password":{"type":"boolean"},"tauthor":{"type":"string"},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object","additionalProperties":false,"properties":{"preferredEmail":{"$ref":"#/components/schemas/MetaContentSingleField"},"gender":{"$ref":"#/components/schemas/MetaContentSingleField"},"yearOfBirth":{"type":"object","minProperties":1,"properties":{"values":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"integer"}},"weights":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"integer"}},"signatures":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"string","minLength":1}}},"additionalProperties":false},"homepage":{"$ref":"#/components/schemas/MetaContentSingleField"},"dblp":{"$ref":"#/components/schemas/MetaContentSingleField"},"gscholar":{"$ref":"#/components/schemas/MetaContentSingleField"},"wikipedia":{"$ref":"#/components/schemas/MetaContentSingleField"},"linkedin":{"$ref":"#/components/schemas/MetaContentSingleField"},"aclanthology":{"$ref":"#/components/schemas/MetaContentSingleField"},"orcid":{"$ref":"#/components/schemas/MetaContentSingleField"},"semanticScholar":{"$ref":"#/components/schemas/MetaContentSingleField"},"names":{"anyOf":[{"type":"object","additionalProperties":false,"properties":{"values":{"type":"array","items":{"anyOf":[{"type":"object","required":["first","last"],"properties":{"first":{"type":"string","minLength":1},"middle":{"type":"string","nullable":true},"last":{"type":"string","minLength":1},"fullname":{"type":"string","minLength":1},"username":{"type":"string"},"preferred":{"type":"boolean","nullable":true}},"additionalProperties":false},{"type":"object","required":["fullname"],"properties":{"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string","minLength":1},"username":{"type":"string"},"preferred":{"type":"boolean","nullable":true}},"additionalProperties":false}]}},"weights":{"type":"array","items":{"type":"integer"}}}},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"pronouns":{"$ref":"#/components/schemas/MetaContentSingleField"},"emails":{"anyOf":[{"type":"object","additionalProperties":false,"properties":{"values":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}},"weights":{"type":"array","minItems":1,"items":{"type":"integer"}}}},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"history":{"anyOf":[{"type":"object","properties":{"values":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"position":{"type":"string"},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"weights":{"type":"array","items":{"type":"integer"}}},"additionalProperties":false},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"relations":{"anyOf":[{"type":"object","properties":{"values":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["relation","name"],"properties":{"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"relation":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","nullable":true,"items":{"type":"string","minLength":1}}}}},"weights":{"type":"array","items":{"type":"integer"}}},"additionalProperties":false},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"expertise":{"anyOf":[{"type":"object","properties":{"values":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["keywords"],"properties":{"keywords":{"type":"array","items":{"type":"string"}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"weights":{"type":"array","items":{"type":"integer"}}},"additionalProperties":false},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]}}},"readers":{"type":"array","items":{"type":"string","minLength":1}},"nonreaders":{"type":"array","nullable":true,"items":{"type":"string","minLength":1}},"writers":{"type":"array","items":{"type":"string","minLength":1}},"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}},"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}},"MetaContentSingleField":{"type":"object","minProperties":1,"properties":{"values":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"string","minLength":1}},"weights":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"integer"}},"signatures":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"string","minLength":1}}},"additionalProperties":false},"Profile":{"additionalProperties":false,"required":["id","invitation","content","readers","writers","signatures"],"properties":{"id":{"type":"string"},"active":{"type":"boolean"},"password":{"type":"boolean"},"invitation":{"type":"string"},"email":{"type":"string"},"confirmedEmails":{"type":"array","items":{"type":"string"}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object"},"ddate":{"type":"integer","nullable":true},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string"}},"nonreaders":{"type":"array","items":{"type":"string"}},"writers":{"type":"array","items":{"type":"string"}},"signatures":{"type":"array","items":{"type":"string"}},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999}}}}},"paths":{"/profiles":{"post":{"tags":["Profiles"],"description":"Save user Profile","operationId":"saveProfile","requestBody":{"description":"Add a new piece of evidence to an existent Profile.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileReference"}}}},"responses":{"200":{"description":"Profile response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Profile"}}}}}}}}}
```

## GET /profiles/search

> Get user profiles

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Profile":{"additionalProperties":false,"required":["id","invitation","content","readers","writers","signatures"],"properties":{"id":{"type":"string"},"active":{"type":"boolean"},"password":{"type":"boolean"},"invitation":{"type":"string"},"email":{"type":"string"},"confirmedEmails":{"type":"array","items":{"type":"string"}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object"},"ddate":{"type":"integer","nullable":true},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string"}},"nonreaders":{"type":"array","items":{"type":"string"}},"writers":{"type":"array","items":{"type":"string"}},"signatures":{"type":"array","items":{"type":"string"}},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999}}},"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}}}},"paths":{"/profiles/search":{"get":{"tags":["Profiles"],"description":"Get user profiles","operationId":"searchProfiles","parameters":[{"name":"id","in":"query","description":"Profile id","schema":{"type":"string","minLength":1,"pattern":"^~.*\\d+$"}},{"name":"ids","in":"query","description":"Profile ids","schema":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string","minLength":1,"pattern":"^~.*\\d+$"}}]}},{"name":"first","in":"query","description":"First name associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"middle","in":"query","description":"Middle name associated with the Profile.","schema":{"type":"string","nullable":true}},{"name":"last","in":"query","description":"Last name associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"fullname","in":"query","description":"Fullname associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"es","in":"query","description":"Whether to use ElasticSearch to search for profiles.","schema":{"type":"boolean"}},{"name":"term","in":"query","description":"Email, Fullname or part of the fullname associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"group","in":"query","description":"Group id where to get all the member profiles.","schema":{"type":"string","minLength":1}},{"name":"select","in":"query","description":"Comma separated string with specific fields of the Profile object to return.","schema":{"type":"string","minLength":1}},{"name":"sort","in":"query","description":"Sort returned Profiles by field.","schema":{"type":"string","minLength":1}},{"name":"limit","in":"query","description":"Maximum number of results to return.","schema":{"type":"integer","minimum":1}},{"name":"cache","in":"query","description":"Get result from cache. Without the right privileges this parameter will be ignored.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Profile response","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"profiles":{"type":"array","items":{"$ref":"#/components/schemas/Profile"}},"count":{"type":"integer","minimum":0},"fromCache":{"type":"boolean"}}}}}}}}}}}
```

## POST /profiles/search

> Get user profiles

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Profile":{"additionalProperties":false,"required":["id","invitation","content","readers","writers","signatures"],"properties":{"id":{"type":"string"},"active":{"type":"boolean"},"password":{"type":"boolean"},"invitation":{"type":"string"},"email":{"type":"string"},"confirmedEmails":{"type":"array","items":{"type":"string"}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object"},"ddate":{"type":"integer","nullable":true},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string"}},"nonreaders":{"type":"array","items":{"type":"string"}},"writers":{"type":"array","items":{"type":"string"}},"signatures":{"type":"array","items":{"type":"string"}},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"termsTimestamp":{"type":"integer","minimum":0,"maximum":9999999999999},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999}}},"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}}}},"paths":{"/profiles/search":{"post":{"tags":["Profiles"],"description":"Get user profiles","operationId":"searchProfilesES","parameters":[{"name":"id","in":"query","description":"Profile id","schema":{"type":"string","minLength":1,"pattern":"^~.*\\d+$"}},{"name":"ids","in":"query","description":"Profile ids","schema":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string","minLength":1,"pattern":"^~.*\\d+$"}}]}},{"name":"first","in":"query","description":"First name associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"middle","in":"query","description":"Middle name associated with the Profile.","schema":{"type":"string","nullable":true}},{"name":"last","in":"query","description":"Last name associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"term","in":"query","description":"Email, Fullname or part of the fullname associated with the Profile.","schema":{"type":"string","minLength":1}},{"name":"group","in":"query","description":"Group id where to get all the member profiles.","schema":{"type":"string","minLength":1}},{"name":"trash","in":"query","description":"Whether to include deleted profiles.","schema":{"type":"boolean"}},{"name":"withBlocked","in":"query","description":"Whether to include blocked profiles.","schema":{"type":"boolean"}},{"name":"needsModeration","in":"query","description":"Whether to return Profiles that need moderation.","schema":{"type":"boolean"}},{"name":"select","in":"query","description":"Comma separated string with specific fields of the Profile object to return.","schema":{"type":"string","minLength":1}},{"name":"state","in":"query","description":"State of the Profile.","schema":{"type":"string","enum":["Inactive","Needs Moderation","Active Institutional","Active Automatic","Active","Blocked","Limited","Merged","Rejected"]}},{"name":"sort","in":"query","description":"Sort returned Profiles by field.","schema":{"type":"string","minLength":1}},{"name":"limit","in":"query","description":"Maximum number of results to return.","schema":{"type":"integer","minimum":1}},{"name":"offset","in":"query","description":"Offset of the result shown.","schema":{"type":"integer","minimum":0}},{"name":"count","in":"query","description":"Whether to return the count of the profiles.","schema":{"type":"boolean"}},{"name":"after","in":"query","description":"Return documents that come after the after parameter. After should be an id.","schema":{"type":"string","minLength":1}},{"name":"cache","in":"query","description":"Get result from cache. Without the right privileges this parameter will be ignored.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Profile response","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"profiles":{"type":"array","items":{"$ref":"#/components/schemas/Profile"}},"count":{"type":"integer","minimum":0},"fromCache":{"type":"boolean"}}}}}}}}}}}
```

## GET /references

> Gets profile references

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"ProfileReference":{"required":["signatures"],"additionalProperties":false,"properties":{"id":{"type":"string","minLength":1},"invitation":{"type":"string","minLength":1},"referent":{"type":"string","minLength":1},"tcdate":{"type":"integer"},"tmdate":{"type":"integer"},"ddate":{"type":"integer","nullable":true},"packaging":{"type":"object"},"active":{"type":"boolean"},"password":{"type":"boolean"},"tauthor":{"type":"string"},"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"lastLogIn":{"type":"integer","minimum":0,"maximum":9999999999999},"pastStates":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"state":{"type":"string","enum":["Active","Active Institutional","Active Automatic","Inactive","Blocked","Rejected","Needs Moderation","Merged","Limited"]},"date":{"type":"integer","minimum":0}}}},"content":{"$ref":"#/components/schemas/ProfileContent"},"metaContent":{"type":"object","additionalProperties":false,"properties":{"preferredEmail":{"$ref":"#/components/schemas/MetaContentSingleField"},"gender":{"$ref":"#/components/schemas/MetaContentSingleField"},"yearOfBirth":{"type":"object","minProperties":1,"properties":{"values":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"integer"}},"weights":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"integer"}},"signatures":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"string","minLength":1}}},"additionalProperties":false},"homepage":{"$ref":"#/components/schemas/MetaContentSingleField"},"dblp":{"$ref":"#/components/schemas/MetaContentSingleField"},"gscholar":{"$ref":"#/components/schemas/MetaContentSingleField"},"wikipedia":{"$ref":"#/components/schemas/MetaContentSingleField"},"linkedin":{"$ref":"#/components/schemas/MetaContentSingleField"},"aclanthology":{"$ref":"#/components/schemas/MetaContentSingleField"},"orcid":{"$ref":"#/components/schemas/MetaContentSingleField"},"semanticScholar":{"$ref":"#/components/schemas/MetaContentSingleField"},"names":{"anyOf":[{"type":"object","additionalProperties":false,"properties":{"values":{"type":"array","items":{"anyOf":[{"type":"object","required":["first","last"],"properties":{"first":{"type":"string","minLength":1},"middle":{"type":"string","nullable":true},"last":{"type":"string","minLength":1},"fullname":{"type":"string","minLength":1},"username":{"type":"string"},"preferred":{"type":"boolean","nullable":true}},"additionalProperties":false},{"type":"object","required":["fullname"],"properties":{"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string","minLength":1},"username":{"type":"string"},"preferred":{"type":"boolean","nullable":true}},"additionalProperties":false}]}},"weights":{"type":"array","items":{"type":"integer"}}}},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"pronouns":{"$ref":"#/components/schemas/MetaContentSingleField"},"emails":{"anyOf":[{"type":"object","additionalProperties":false,"properties":{"values":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}},"weights":{"type":"array","minItems":1,"items":{"type":"integer"}}}},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"history":{"anyOf":[{"type":"object","properties":{"values":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"position":{"type":"string"},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"weights":{"type":"array","items":{"type":"integer"}}},"additionalProperties":false},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"relations":{"anyOf":[{"type":"object","properties":{"values":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["relation","name"],"properties":{"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"relation":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","nullable":true,"items":{"type":"string","minLength":1}}}}},"weights":{"type":"array","items":{"type":"integer"}}},"additionalProperties":false},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]},"expertise":{"anyOf":[{"type":"object","properties":{"values":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["keywords"],"properties":{"keywords":{"type":"array","items":{"type":"string"}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"weights":{"type":"array","items":{"type":"integer"}}},"additionalProperties":false},{"type":"array","minItems":1,"items":{"type":"object","additionalProperties":false,"required":["signatures"],"properties":{"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}}}]}}},"readers":{"type":"array","items":{"type":"string","minLength":1}},"nonreaders":{"type":"array","nullable":true,"items":{"type":"string","minLength":1}},"writers":{"type":"array","items":{"type":"string","minLength":1}},"signatures":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}}}},"ProfileContent":{"additionalProperties":false,"properties":{"yearOfBirth":{"type":"integer"},"preferredEmail":{"type":"string"},"gender":{"type":"string","nullable":true},"homepage":{"type":"string"},"dblp":{"type":"string"},"gscholar":{"type":"string"},"wikipedia":{"type":"string"},"linkedin":{"type":"string"},"semanticScholar":{"type":"string"},"aclanthology":{"type":"string"},"orcid":{"type":"string"},"names":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"preferred":{"type":"boolean"},"first":{"type":"string","nullable":true},"middle":{"type":"string","nullable":true},"last":{"type":"string","nullable":true},"fullname":{"type":"string"},"username":{"type":"string","nullable":true}}}},"pronouns":{"type":"string","maxLength":50},"emails":{"type":"array","items":{"type":"string"}},"emailsConfirmed":{"type":"array","items":{"type":"string"}},"history":{"type":"array","nullable":true,"minItems":1,"items":{"type":"object","required":["position","institution","start"],"additionalProperties":false,"properties":{"position":{"type":"string","minLength":1},"institution":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1},"domain":{"type":"string","minLength":1},"country":{"type":"string","minLength":1,"nullable":true},"stateProvince":{"type":"string","minLength":1,"nullable":true},"city":{"type":"string","minLength":1,"nullable":true},"department":{"type":"string","minLength":1,"nullable":true}}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}},"relations":{"type":"array","nullable":true,"items":{"type":"object","additionalProperties":false,"properties":{"relation":{"type":"string","minLength":1},"name":{"type":"string","minLength":1},"email":{"type":"string","minLength":1},"username":{"type":"string","minLength":1},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"readers":{"type":"array","items":{"type":"string","minLength":1}}}}},"expertise":{"type":"array","nullable":true,"items":{"type":"object","required":["keywords","start"],"additionalProperties":false,"properties":{"keywords":{"type":"array","nullable":true,"minItems":1,"items":{"type":"string","minLength":1}},"start":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]},"end":{"anyOf":[{"type":"integer","nullable":true,"minimum":1900,"maximum":2099},{"type":"string","maxLength":0}]}}}}}},"MetaContentSingleField":{"type":"object","minProperties":1,"properties":{"values":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"string","minLength":1}},"weights":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"integer"}},"signatures":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"string","minLength":1}}},"additionalProperties":false},"Error":{"additionalProperties":false,"required":["status","name","message"],"properties":{"status":{"type":"integer"},"name":{"type":"string"},"message":{"type":"string"},"details":{"type":"object"}}}}},"paths":{"/references":{"get":{"tags":["References"],"description":"Gets profile references","operationId":"getReferences","parameters":[{"name":"id","in":"query","description":"Group id.","schema":{"type":"string","minLength":1}},{"name":"ids","in":"query","description":"Group ids.","schema":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string","minLength":1}}]}},{"name":"referent","in":"query","description":"Profile id that the reference is modifying.","schema":{"type":"string","minLength":1}},{"name":"limit","in":"query","description":"Maximum number of results to return.","schema":{"type":"integer","minimum":1}},{"name":"offset","in":"query","description":"Offset of the result shown.","schema":{"type":"integer","minimum":0}},{"name":"after","in":"query","description":"Return documents that come after the after parameter. After should be an id.","schema":{"type":"string","minLength":1}},{"name":"sort","in":"query","description":"Select field to sort by.","schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"The Profile that is saved to the database.","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"count":{"type":"integer","minimum":0},"references":{"type":"array","items":{"$ref":"#/components/schemas/ProfileReference"}},"fromCache":{"type":"boolean"}}}}}},"default":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /groups

> Returns groups

```json
{"openapi":"3.0.3","info":{"title":"OpenReview","version":"1.0.0"},"servers":[{"url":"https://api2.openreview.net","description":"Production Server"},{"url":"https://devapi2.openreview.net","description":"Development Server"}],"security":[{"cookieAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"openreview.accessToken"}},"schemas":{"Group":{"additionalProperties":false,"properties":{"id":{"type":"string","minLength":1},"instructions":{"type":"string"},"description":{"type":"string"},"invitations":{"type":"array","minItems":1,"items":{"type":"string","minLength":1}},"parentInvitations":{"type":"string","minLength":1},"parent":{"type":"string","minLength":1,"nullable":true},"content":{"$ref":"#/components/schemas/contentSchema"},"cdate":{"type":"integer","minimum":0,"maximum":9999999999999},"mdate":{"type":"integer","minimum":0,"maximum":9999999999999},"ddate":{"type":"integer","minimum":0,"maximum":9999999999999},"tcdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tmdate":{"type":"integer","minimum":0,"maximum":9999999999999},"tauthor":{"type":"string"},"readers":{"type":"array","items":{"type":"string","minLength":1}},"nonreaders":{"type":"array","items":{"type":"string","minLength":1}},"writers":{"type":"array","items":{"type":"string","minLength":1}},"signatories":{"type":"array","items":{"type":"string","minLength":1}},"signatures":{"type":"array","items":{"type":"string","minLength":1}},"members":{"type":"array","items":{"type":"string","minLength":1}},"deanonymizers":{"type":"array","items":{"type":"string","minLength":1}},"impersonators":{"type":"array","items":{"type":"string","minLength":1}},"host":{"type":"string","nullable":true},"web":{"type":"string","nullable":true},"domain":{"type":"string","nullable":true},"anonids":{"type":"boolean"},"secret":{"type":"string"},"details":{"type":"object","additionalProperties":false,"properties":{"writable":{"type":"boolean"}}}}},"contentSchema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":false,"properties":{"description":{"type":"string","minLength":1},"order":{"type":"integer","minimum":1},"delete":{"type":"boolean","enum":[true]},"value":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"object"},{"type":"array"}]},"readers":{"anyOf":[{"type":"object"},{"type":"array","items":{"type":"string","minLength":1}}]}}}},"Error":{"additionalProperties":false,"required":["status","name","message"],"properties":{"status":{"type":"integer"},"name":{"type":"string"},"message":{"type":"string"},"details":{"type":"object"}}}}},"paths":{"/groups":{"get":{"tags":["Groups"],"description":"Returns groups","operationId":"getGroups","parameters":[{"name":"id","in":"query","description":"Group id.","schema":{"type":"string","minLength":1}},{"name":"ids","in":"query","description":"Group ids.","schema":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string","minLength":1}}]}},{"name":"prefix","in":"query","description":"Group id prefix.","schema":{"type":"string","minLength":1}},{"name":"parent","in":"query","description":"Group parent.","schema":{"type":"string","minLength":1}},{"name":"invitation","in":"query","description":"Invitation id used to create the Group(s).","schema":{"type":"string","minLength":1}},{"name":"member","in":"query","description":"Group id to get its transitive members.","schema":{"type":"string","minLength":1}},{"name":"members","in":"query","description":"Group id to get groups that the Group is member of.","schema":{"type":"string","minLength":1}},{"name":"signature","in":"query","description":"Group id used to sign the returned Groups.","schema":{"type":"string","minLength":1}},{"name":"signatory","in":"query","description":"Group id that can is allowed to sign with the returned Groups.","schema":{"type":"string","minLength":1}},{"name":"writer","in":"query","description":"Group id that is writer of the returned Groups.","schema":{"type":"string","minLength":1}},{"name":"host","in":"query","description":"Host of the returned Group
[...]
